Bug 1465044 - CVE-2017-9831 CVE-2017-9832 libmtp: various flaws [fedora-all]
CVE-2017-9831 CVE-2017-9832 libmtp: various flaws [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
25
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 1465043 (view as bug list)
Depends On:
Blocks: CVE-2017-9831 CVE-2017-9832
  Show dependency treegraph
 
Reported: 2017-06-26 09:19 EDT by Adam Mariš
Modified: 2017-07-11 21:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: libmtp-1.1.13-1.fc25 libmtp-1.1.13-1.fc26 libmtp-1.1.13-1.fc24
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-02 23:19:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-26 09:19:40 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Adam Mariš 2017-06-26 09:19:44 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1465038,1465040

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Adam Mariš 2017-06-26 10:36:22 EDT
*** Bug 1465043 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2017-06-26 18:43:12 EDT
libmtp-1.1.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-69fdb38f3e
Comment 4 Fedora Update System 2017-06-26 18:45:11 EDT
libmtp-1.1.13-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c57da6642
Comment 5 Fedora Update System 2017-06-26 18:46:48 EDT
libmtp-1.1.13-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d26266eb32
Comment 6 Fedora Update System 2017-06-27 13:20:59 EDT
libmtp-1.1.13-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d26266eb32
Comment 7 Fedora Update System 2017-06-27 13:26:06 EDT
libmtp-1.1.13-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c57da6642
Comment 8 Fedora Update System 2017-06-27 16:25:39 EDT
libmtp-1.1.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-69fdb38f3e
Comment 9 Fedora Update System 2017-07-02 23:19:47 EDT
libmtp-1.1.13-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2017-07-07 19:00:07 EDT
libmtp-1.1.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-07-11 21:50:06 EDT
libmtp-1.1.13-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.